Bug 1306794 - python-gnocchiclient-2.2.0 is available
python-gnocchiclient-2.2.0 is available
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: python-gnocchiclient (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pradeep Kilambi
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2016-02-11 12:46 EST by Upstream Release Monitoring
Modified: 2016-06-18 12:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 2.1.0 (#1306794) (1.11 KB, patch)
2016-02-11 12:46 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.2.0 (#1306794) (1.11 KB, patch)
2016-02-25 07:21 EST, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2016-02-11 12:46:13 EST
Latest upstream release: 2.1.0
Current version/release in rawhide: 2.0.0-2.fc24
URL: https://github.com/openstack/python-gnocchiclient

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-02-11 12:46:23 EST
Created attachment 1123249 [details]
[patch] Update to 2.1.0 (#1306794)
Comment 2 Upstream Release Monitoring 2016-02-11 12:54:05 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12945759
Comment 3 Upstream Release Monitoring 2016-02-25 07:21:21 EST
Latest upstream release: 2.2.0
Current version/release in rawhide: 2.0.0-2.fc24
URL: https://github.com/openstack/python-gnocchiclient

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 4 Upstream Release Monitoring 2016-02-25 07:21:30 EST
Created attachment 1130501 [details]
[patch] Update to 2.2.0 (#1306794)
Comment 5 Upstream Release Monitoring 2016-02-25 07:24:55 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13126726
Comment 6 Tomas Orsava 2016-04-15 06:08:12 EDT
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 7 Upstream Release Monitoring 2016-04-15 17:03:12 EDT
hguemar's python-gnocchiclient-2.2.0-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=754969
Comment 8 Dominika Krejčí 2016-05-04 12:35:20 EDT
Hello Pradeep,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 9 Pradeep Kilambi 2016-05-09 11:54:55 EDT
Thanks, I'll look into adding py3 support this week.
Comment 10 Upstream Release Monitoring 2016-05-09 16:02:40 EDT
pkilambi's python-gnocchiclient-2.2.0-2.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=761476
Comment 11 Tomas Orsava 2016-05-11 05:57:04 EDT
Hi Pradeep!

Thank you very much for taking the time to port your package!

I've seen you already pushed a ported spec file for rawhide, there is just a slight hiccup: Your `python3-gnocchiclient` subpackage depends on Python 3 as it should, but also on /usr/bin/python2.

This is very likely just a forgotten shebang which is not very troublesome to fix. I suggest reading the section on Shebangs on the Python RPM Porting Guide:

http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Thank you for your time!
Comment 12 Charalampos Stratakis 2016-06-09 11:27:35 EDT
The issue here is that both packages bundle the binary, while only the python 3 should have it as stated in [0]

[0] https://fedoraproject.org/wiki/Packaging:Python#Naming
Comment 13 Tomas Orsava 2016-06-10 04:58:28 EDT
Hi Pradeep!
Charalampos is correct, here is a list of binaries in each package:

rpm -ql python2-gnocchiclient
/usr/bin/gnocchi
/usr/bin/gnocchiclient-2
/usr/bin/gnocchiclient-2.7
/usr/bin/gnocchiclient-3
/usr/bin/gnocchiclient-3.5

rpm -ql python3-gnocchiclient
/usr/bin/gnocchi
/usr/bin/gnocchiclient-2
/usr/bin/gnocchiclient-2.7
/usr/bin/gnocchiclient-3
/usr/bin/gnocchiclient-3.5
/usr/bin/python3-gnocchi



That is very bad, it'll cause a whole lot of problems. To fix it, you should figure out if the binaries work the same regardless of which version of Python they are run on (very likely). If they indeed are not reliant on the Python version, here's how they should be packaged:

Python 2:
no binaries

Python 3:
/usr/bin/gnocchi
/usr/bin/gnocchiclient



On the other hand, in the unlikely case that the binaries behave differently on Python 2 and 3, they should be packaged thus:

Python 2
/usr/bin/gnocchi
/usr/bin/gnocchi-2
/usr/bin/gnocchi-2.7
/usr/bin/gnocchiclient
/usr/bin/gnocchiclient-2
/usr/bin/gnocchiclient-2.7

Python 3
/usr/bin/gnocchi-3
/usr/bin/gnocchi-3.5
/usr/bin/gnocchiclient-3
/usr/bin/gnocchiclient-3.5

Nothing else and nothing more. The actual executables should lie at the path with the full version (2.7, 3.5), the rest should be symlinks to these. See the Python RPM Porting Guide [0] for more details on this case.

[0] /usr/bin/gnocchiclient-3.5
Comment 14 Pradeep Kilambi 2016-06-17 17:43:13 EDT
This is now fixed in python-gnocchiclient-2.3.1-2

rawhide packages are built: 

http://koji.fedoraproject.org/koji/buildinfo?buildID=773785

i'll push an update to bodhi.
Comment 15 Fedora Update System 2016-06-17 17:49:13 EDT
python-gnocchiclient-2.3.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-18c3da0320
Comment 16 Fedora Update System 2016-06-18 12:25:40 EDT
python-gnocchiclient-2.3.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-18c3da0320

Note You need to log in before you can comment on or make changes to this bug.